/* Problem URL: https://codeforces.com/group/SmO1tpanN1/contest/523096/problem/F */

#include <bits/stdc++.h>

using namespace std;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int n;
    ll d;
    cin >> n >> d;

    vl fds(n);
    cin >> fds;

    vl pref(n + 1);
    rep(i, n) {
        pref[i + 1] = pref[i] + fds[i];
    }

    int i = 0;
    int j = 0;
    int ans = 0;
    while (i < n) {
        while (pref[i + 1] - pref[j] > d) {
            j++;
        }

        if (pref[i + 1] - pref[j] == d) {
            ans++;
        }

        i++;
    }

    if (pref.back() == d) {
        cout << ans + (n - 1) << '\n';
        return 0;
    }

    rep(i, n) {
        int low = i + 2;
        int high = n;

        while (low <= high) {
            int mid = (low + high) / 2;

            if (pref.back() - (pref[mid - 1] - pref[i + 1]) == d) {
                ans++;
                break;
            }

            if (pref.back() - (pref[mid - 1] - pref[i + 1]) > d) {
                low = mid + 1;
                continue;
            }

            high = mid - 1;
        }
    }

    cout << ans << '\n';
}
